<?php

/*
 * This file is part of Flarum.
 *
 * For detailed copyright and license information, please view the
 * LICENSE file that was distributed with this source code.
 */

namespace Flarum\Settings;

class UninstalledSettingsRepository implements SettingsRepositoryInterface
{
    public function all(): array
    {
        return [];
    }

    public function get($key, $default = null)
    {
        return $default;
    }

    public function set($key, $value)
    {
        // Do nothing
    }

    public function delete($keyLike)
    {
        // Do nothing
    }
}
